Fulfillment & ShippingFulfillment
Update fulfillment settings
Updates routing, split-fulfillment and packing-slip settings. Routing changes affect future routing; packing-slip values are read when a slip is generated.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://api.ecomiq.pe/api/v1/fulfillment/settings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "routingMode": "defaultLocation", "splitFulfillmentEnabled": true, "packingSlipSenderName": "Envío estándar", "packingSlipSenderPhone": "+51987654321", "packingSlipSenderEmail": "andrea.ramos@example.com", "packingSlipNotes": "Entregar después de las 18:00." }'{ "storeId": "7204558912004327977", "routingMode": "defaultLocation", "splitFulfillmentEnabled": true, "packingSlipSenderName": "Envío estándar", "packingSlipSenderPhone": "+51987654321", "packingSlipSenderEmail": "andrea.ramos@example.com", "packingSlipNotes": "Entregar después de las 18:00."}